org.apache.ignite.internal.processors.cache

## Interface GridCacheAtomicFuture<R>

All Superinterfaces:
  GridCacheFuture<R>, IgniteInternalFuture<R>

All Known Implementing Classes:
  GridDhtAtomicUpdateFuture, GridNearAtomicUpdateFuture

    public interface GridCacheAtomicFuture<R>
    extends GridCacheFuture<R>

Update future for atomic cache.

### Method Summary

Methods
`IgniteInternalFuture<Void>` `completeFuture(AffinityTopologyVersion topVer)` Gets future that will be completed when it is safe when update is finished on the given version of topology.
`Collection<?>` `keys()`
`GridCacheVersion` `version()`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheFuture

`futureId, markNotTrackable, onNodeLeft, trackable`

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`cancel, chain, duration, error, get, get, get, getUninterruptibly, isCancelled, isDone, listen, result, startTime`

### Method Detail

#### version

    GridCacheVersion version()

Returns:
  Future version.

#### completeFuture

    IgniteInternalFuture<Void> completeFuture(AffinityTopologyVersion topVer)

Gets future that will be completed when it is safe when update is finished on the given version of topology.

Parameters:
  `topVer` - Topology version to finish.
Returns:
  Future or `null` if no need to wait.

#### keys

    Collection<?> keys()

Returns:
  Future keys.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015